export declare function getDocs(): Promise<{
    docs: {
        title: string;
        id: string;
    }[];
    namespace: any;
}>;
export declare function deleteDoc({ namespace, id, }: {
    namespace: string;
    id: string;
}): Promise<void>;
export declare function batchDeleteDocs(): Promise<void>;
export declare function createDoc({ namespace, title, body, storePath, }: {
    namespace: string;
    title: string;
    storePath: string[];
    body?: string;
}): Promise<any>;
/**
 * 创建目录形式的docs
 */
interface CreateNestDocOptions {
    namespace: string;
    fullPath: string;
    repoName: string;
}
export declare function createNestDoc(accessPath: string[], { namespace, fullPath, repoName }: CreateNestDocOptions): Promise<void>;
export {};
