import RawSDK from '@yuque/sdk';

class TOC {
  constructor(client) {
    this.client = client;
    this.client = client;
  }
  /**
   * 创建目录结构
   */


  async setDocToSpecToc({
    namespace,
    data
  }) {
    console.assert(namespace);
    return this.client.request(`repos/${namespace}/toc`, {
      method: 'PUT',
      data: {
        action: 'prependByDocs',
        ...data
      }
    });
  }
  /**
   * 获取目录列表
   */


  async getList(namespace) {
    console.assert(namespace);
    return this.client.request(`repos/${namespace}/toc`, {
      method: 'GET'
    });
  }

}

export class SDK extends RawSDK {
  toc;

  constructor(options) {
    super(options);
    this.toc = new TOC(this._client);
  }

}