import type { AppendOptions } from '../sdk';
interface TOC {
    namespace: string;
    title: string;
}
export declare function setDocToSpecToc({ title, namespace, data, }: TOC & {
    data: AppendOptions;
}): Promise<(Pick<TOC, "title"> & Record<string, any>) | undefined>;
export declare function getSpecTocUUID({ namespace, title, }: TOC & {
    title: string;
}): Promise<string | null>;
export {};
